import { AdminBannerService } from "./admin.banner.service";
import { CreateBannerDto, UpdateBannerDto, UpdateStatusDto } from "./banner.dto";
export declare class AdminBannerController {
    private readonly AdminBannerService;
    constructor(AdminBannerService: AdminBannerService);
    create(createBannerDto: CreateBannerDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/banner/banner.entity").Banner[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/banner/banner.entity").Banner;
    }>;
    update(id: string, updateBannerDto: UpdateBannerDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
